Bug 1416760 - [abrt] pacmanager: emission_find(): perl killed by SIGSEGV
Summary: [abrt] pacmanager: emission_find(): perl killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pacmanager
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike Goodwin
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b472d66da9b817765a64f7bd377...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 11:16 UTC by sheepdestroyer
Modified: 2020-09-16 14:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-15 09:10:24 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (121.69 KB, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details
File: cgroup (336 bytes, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details
File: core_backtrace (4.66 KB, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details
File: dso_list (13.85 KB, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details
File: environ (1.90 KB, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details
File: maps (67.04 KB, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details
File: mountinfo (3.98 KB, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details
File: open_fds (3.73 KB, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-26 11:16 UTC, sheepdestroyer
no flags Details

Description sheepdestroyer 2017-01-26 11:16:24 UTC
Description of problem:
gnome usually shows that pacmanager crashed when I close it

Version-Release number of selected component:
pacmanager-4.5.5.7-5.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/perl /usr/bin/pacmanager
crash_function: emission_find
executable:     /usr/bin/perl
global_pid:     19178
kernel:         4.9.4-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 emission_find at gsignal.c:824
 #4 gtk_object_dispose at gtkobject.c:421
 #6 XS_Glib__Object_DESTROY at GObject.xs:1301
 #7 Perl_pp_entersub at pp_hot.c:3987
 #8 Perl_call_sv at perl.c:2807
 #9 S_curse at sv.c:6857
 #10 Perl_sv_clear at sv.c:6461
 #11 Perl_sv_free2 at sv.c:6958
 #12 S_visit at sv.c:476
 #13 Perl_sv_clean_objs at sv.c:627

Comment 1 sheepdestroyer 2017-01-26 11:16:29 UTC
Created attachment 1244713 [details]
File: backtrace

Comment 2 sheepdestroyer 2017-01-26 11:16:30 UTC
Created attachment 1244714 [details]
File: cgroup

Comment 3 sheepdestroyer 2017-01-26 11:16:31 UTC
Created attachment 1244715 [details]
File: core_backtrace

Comment 4 sheepdestroyer 2017-01-26 11:16:33 UTC
Created attachment 1244716 [details]
File: dso_list

Comment 5 sheepdestroyer 2017-01-26 11:16:34 UTC
Created attachment 1244717 [details]
File: environ

Comment 6 sheepdestroyer 2017-01-26 11:16:35 UTC
Created attachment 1244718 [details]
File: exploitable

Comment 7 sheepdestroyer 2017-01-26 11:16:36 UTC
Created attachment 1244719 [details]
File: limits

Comment 8 sheepdestroyer 2017-01-26 11:16:38 UTC
Created attachment 1244720 [details]
File: maps

Comment 9 sheepdestroyer 2017-01-26 11:16:39 UTC
Created attachment 1244721 [details]
File: mountinfo

Comment 10 sheepdestroyer 2017-01-26 11:16:40 UTC
Created attachment 1244722 [details]
File: namespaces

Comment 11 sheepdestroyer 2017-01-26 11:16:42 UTC
Created attachment 1244723 [details]
File: open_fds

Comment 12 sheepdestroyer 2017-01-26 11:16:43 UTC
Created attachment 1244724 [details]
File: proc_pid_status

Comment 13 sheepdestroyer 2017-01-26 11:16:44 UTC
Created attachment 1244725 [details]
File: var_log_messages

Comment 14 sheepdestroyer 2017-02-11 12:03:39 UTC
Similar problem has been detected:

happens frequently when I close pacmanager

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/perl /usr/bin/pacmanager
crash_function: emission_find
executable:     /usr/bin/perl
global_pid:     12757
kernel:         4.9.7-201.fc25.x86_64
package:        pacmanager-4.5.5.7-5.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         perl killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Mike Goodwin 2017-02-11 16:41:35 UTC
Thanks for reporting. I will try to get to this in the near future. Replying so you know I'm alive.

Comment 16 sheepdestroyer 2017-03-01 08:55:34 UTC
Similar problem has been detected:

closed pacmanager

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/perl /usr/bin/pacmanager
crash_function: emission_find
executable:     /usr/bin/perl
global_pid:     31270
kernel:         4.9.10-200.fc25.x86_64
package:        pacmanager-4.5.5.7-5.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         perl killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Mike Goodwin 2017-03-01 21:50:16 UTC
Have you tested non-wayland sessions? i.e. do you think this is related to wayland? I could use some instructions on how you think I should reproduce

Comment 18 Mike Goodwin 2017-05-04 17:17:51 UTC
Can't reproduce


Note You need to log in before you can comment on or make changes to this bug.